

<?php

//算法
//
//先检查是否过期
//返回-1              -------------suker 删除注册表    
//检查是否录入到网络，
//if（如果mac和key 都对的上）
//｛
//   就是合法用户。
//   返回0            -------------suker  啥也不做
// ｝
// else
//｛
//   检查当前已经激活的数目，
//   if（如果已经达到或者超过授权）
//   ｛
//       返回1         -------------- suker 需要提示用户超过授权=================》（***）
//
//  ｝
//  else
//  ｛ 
//       返回2         ------------- suker啥也不做，但是需要调用 UploadKeyInfo.php把key提交到网上。
//   ｝
// ｝
//


if( isset($_GET['vNum']) )
{ 
   $versionNum = $_GET['vNum'];    
}
else
{
   $versionNum = 3;  //默认3

   if( isset($_GET['vnum']) )
   { 
     $versionNum = $_GET['vnum'];    
   }

}
if( isset($_GET['mac']) )
{ 
  $netMac = $_GET['mac'];    
}
else
{
  print_r("-1");
  exit;
}

//判断序列号是否过期
if( isset($_GET['key']) )
{ 
  $licensekey = $_GET['key'];    
}
else
{
  print_r("-1");
  exit;
}

//连接MySQL
$conn = @mysql_connect("localhost", "gili0512", "nIJ9qatVBLKS");

if($conn == FALSE)
{	
  print_r("连接数据失败!");
  exit;
}

//选择数据库
mysql_select_db("gili0512_livecheck");

//执行SQL
$result = @mysql_query("SELECT * FROM gslicenseinfo where RegKey='$licensekey'");

//判断是否该序列号已经过期？
$bExpired=0;
if(mysql_num_rows($result) > 0)
{
  While($row = mysql_fetch_array($result))
  {
      $IsExpired=$row["IsExpired"];

      if ($IsExpired)
      {
        $bExpired=1;
      }     
  }
}
//释放结果集
mysql_free_result($result);

if($bExpired)
{
  //关闭连接
  mysql_close();
  print_r("-1");
  exit;
}

//检查mac和key是否录入到网络
//查询该序列号和网卡mac 是否注册过？
$result = @mysql_query("SELECT * FROM gsemailinfo where netMAC='$netMac' and RegKey='$licensekey'");
//显示查询结果
if(mysql_num_rows($result) > 0)//已经激活过
{
  //释放结果集
  mysql_free_result($result);
  //关闭连接
  mysql_close();
  print_r("0");
  exit;
}

//是否过度授权
$bToomuch=0;
$nRegistterTimes=0;
$result1 = @mysql_query("SELECT * FROM gsemailinfo where RegKey='$licensekey' ");
$nRegistterTimes=mysql_num_rows($result1);
//print_r($nRegistterTimes);
//释放结果集
mysql_free_result($result1);

if($versionNum !=4)//如果是单机版 ==3
{
   if ($nRegistterTimes>=1)
   {
     $bToomuch=1;
   }
}
else if($versionNum ==4)//如果是3PC版
{
   if ($nRegistterTimes>=3)
   {
     $bToomuch=1;
   }
}

if( $bToomuch==1)
{
  print_r("1");
}
else
{
  print_r("2");
}

//关闭连接
mysql_close();


?> 